What version of Jetty am I running?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

What version of Jetty am I running?

Douglas Landau
Greets,

This page warns about Jetty 7 and 8:
https://wiki.eclipse.org/Jetty/Howto/Configure_SSL

I googled how to determine, and found the answer:  java -jar start.jar --version

However, on my installation, that fails, saying:

Jetty Server Classpath:
-----------------------
No classpath entries and/or version information available show.

Any suggestions?  Thank you!
Doug



The information contained in this transmission may contain West Marine proprietary, confidential and/or privileged
information.  It is intended only for the use of the person(s) named above. If you are not the intended recipient, you are
hereby notified that any review, dissemination, distribution or duplication of this communication is strictly prohibited.
If you are not the intended recipient, please contact the sender by reply email and destroy all copies of the original
message. To reply to our email administrator directly, please send an email to [hidden email].
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: What version of Jetty am I running?

Douglas Landau
Okay, I see that this is the response on xwiki-9.1.2/standalone.    On xwiki-8.4.4/standalone it says:
[root@dwswiki9 jetty]#  java -jar start.jar  --version

Jetty Server Classpath:
-----------------------
Version Information on 6 entries in the classpath.
Note: order presented here is how they would appear on the classpath.
      changes to the --module=name command line options will be reflected here.
 0:                    3.1.0 | ${jetty.base}/lib/javax.servlet-api-3.1.0.jar
 1:         9.2.13.v20150730 | ${jetty.base}/lib/jetty-http-9.2.13.v20150730.jar
 2:         9.2.13.v20150730 | ${jetty.base}/lib/jetty-server-9.2.13.v20150730.jar
 3:         9.2.13.v20150730 | ${jetty.base}/lib/jetty-xml-9.2.13.v20150730.jar
 4:         9.2.13.v20150730 | ${jetty.base}/lib/jetty-util-9.2.13.v20150730.jar
 5:         9.2.13.v20150730 | ${jetty.base}/lib/jetty-io-9.2.13.v20150730.jar

I wrote:
>However, on my installation, that fails, saying:
>
>Jetty Server Classpath:
>-----------------------
>No classpath entries and/or version information available show.



The information contained in this transmission may contain West Marine proprietary, confidential and/or privileged
information.  It is intended only for the use of the person(s) named above. If you are not the intended recipient, you are
hereby notified that any review, dissemination, distribution or duplication of this communication is strictly prohibited.
If you are not the intended recipient, please contact the sender by reply email and destroy all copies of the original
message. To reply to our email administrator directly, please send an email to [hidden email].
Loading...